RubyGems Navigation menu

pg 0.19.0.pre20170115074000

Pg is the Ruby interface to the {PostgreSQL RDBMS}[http://www.postgresql.org/]. It works with {PostgreSQL 9.1 and later}[http://www.postgresql.org/support/versioning/]. A small example usage: #!/usr/bin/env ruby require 'pg' # Output a table of current connections to the DB conn = PG.connect( dbname: 'sales' ) conn.exec( "SELECT * FROM pg_stat_activity" ) do |result| puts " PID | User | Query" result.each do |row| puts " %7d | %-16s | %s " % row.values_at('procpid', 'usename', 'current_query') end end

版本列表:

  1. 1.1.4 - January 09, 2019 x86-mingw32 (1.9 MB)
  2. 1.1.4 - January 09, 2019 x64-mingw32 (2.1 MB)
  3. 1.1.4 - January 09, 2019 (228.5 KB)
  4. 1.1.3 - September 08, 2018 x64-mingw32 (2.2 MB)
  5. 1.1.3 - September 08, 2018 x86-mingw32 (2.0 MB)
  6. 0.19.0.pre20170115074000 - January 15, 2017 (224.0 KB)
显示所有 (147 个版本)

所有者:

作者:

  • Michael Granger, Lars Kanis

SHA 256 checksum:

ae539fa16c99d20c8fcec0a7958aa5b8ac6045c850e575f5be5f471b9143d09d

下载总次数 78,346,764

这个版本 525

Gemfile:
= 复制到剪贴板 已复制

安装:
=

许可:

BSD-3-Clause

需要的 Ruby 版本: >= 2.0.0

需要的 RubyGems 版本: > 1.3.1

相关链接: